<?php
require_once dirname(dirname(dirname(__DIR__))).'/app/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;

$con = new DatabaseController;
$local = new LocalController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$results = $con->startQuery()
  ->select(['id', 'name', 'net', 'bonus'])
  ->from('money', 'money')
  ->build()
  ->query()
  ->fetchAssoc();
$con->close();

foreach ($results as $key => $value)
{
  $results[$key]['name'] = json_decode($results[$key]['name'], 1);
}

echo json_encode($results);