<?php
require_once dirname(dirname(dirname(__DIR__))).'/app/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;

$con = new DatabaseController;
$local = new LocalController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$name = $_POST['name'];
$user = $_POST['user'];
$pass = $_POST['pass'];

$name = json_encode($name);
$name = str_replace('\\', '\\\\', $name);
$name = str_replace("'","\\'", $name);

$con->startQuery()
  ->insert([
    'name' => $name,
    'user' => $user,
  ])
  ->into('login')
  ->build()
  ->query()
  ->close();

$results = $con->startQuery()
  ->select(['id', 'pass'])
  ->from('login')
  ->where(['user' => $user])
  ->build()
  ->query()
  ->fetchAssoc()[0];
$con->close();

if (!empty($results['pass'])) {
  echo "duplicate";
} else {
  $hashPass = hash('sha256', $pass.hash('sha256', $results['id']));
  $con->startQuery()
    ->update(['pass' => $hashPass])
    ->set('login')
    ->where(['user' => $user])
    ->build()
    ->query()
    ->close();
  echo "success";
}