function updateUser()
{
  let table = $("#userBody");
  let name = '';
  let amountColor = '';
  let response = '';
  let xmlhttp = new XMLHttpRequest();
  table.empty();
  xmlhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      response = JSON.parse(this.responseText);
      $.each(response, function (key, value) {
        if (value.name != null) {
          name = value.name;
        } else if (value.gname != null) {
          name = value.gname;
        } else {
          name = '"user"';
        }
        if (value.bonus == null) value.bonus = 0;
        if (value.amount > 0) {
          amountColor = "text-success";
        } else {
          amountColor = "text-danger";
        }
        table.append("<tr><td class='font-weight-bold'>" + value.id + "</td>" +
          "<td class='text-left'>" + JSON.parse(name) + "</td>" +
          "<td class='" + amountColor + "'>" + value.amount + "</td>" +
          "<td>" + value.bonus + "</td>" +
          "<td>" + value.time + ", " + value.date + "/" + value.month + "/" + value.year + "</td>"
          );
      });
      $("#userTable").DataTable();
    }
  };
  xmlhttp.open("GET", "../dist/ajax/getAllHistory.php", true);
  xmlhttp.send();
}