<?php
require_once dirname(__DIR__).'/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;
use Koob\ViewBundle\Controller\FunctionController;
use Koob\LocalBundle\Controller\LocalDatabaseController;

date_default_timezone_set('Asia/Bangkok');

$con = new DatabaseController;
$local = new LocalController;
$func = new FunctionController;
$localDatabase = new LocalDatabaseController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$resetTime = $local->getParameter('resetTime');
$game = lcfirst($localDatabase->getParameter('game'));

$search = $_POST['search'];
if (!empty($search)) {
	$func->search($search);
}
$resultRows = $func->setupTable($con, $resetTime, $game);
$resultRows['thisGame'] = $func->setupReport($con, $game);
$resultRows['game'] = $game;
$resultRow = json_encode($resultRows);
print_r($resultRow);