$(document).ajaxComplete(function(){
	$("button:contains('topup')").click(function(){
		let dir = sessionStorage.getItem('dir');
		let userId = $(this).attr("id");
		let money = 0;
		$("input[name=bonus").hide();
		$("input[name=bonus").attr("name", "disabled");
		$("select[name=disabled]").show();
		$("select[name=disabled]").val("0%");
		$("select[name=disabled]").attr("name", "bonus");
		$("button[name=Ok]").addClass('disabled');
		$(".modal-body>input").attr("id", userId);
		$(".modal-footer>button[name=Ok]").attr("id", userId);
		$("span[name=modal-money]").text('0');
		$("span[name=modal-bonus]").text('0');
		$("i[name=modal-icon]")
			.removeClass("fa-check")
			.addClass("fa-times")
			.removeClass("text-success")
			.addClass("text-danger")
		$.ajax({
			type: "POST",
			url: dir+"app/ajax/eachMoney.php",
			data: {
				userId:userId
			},
			global: false,
			success: function(money){
				let moneys = JSON.parse(money);
				$("button[name=Ok]").removeClass('disabled');
				$("span[name=modal-money]").text(moneys['net']);
				$("span[name=modal-bonus]").text(moneys['bonus']);
				$("i[name=modal-icon]")
					.removeClass("fa-times")
					.addClass("fa-check")
					.removeClass("text-danger")
					.addClass("text-success");
			}
		});
	});

	$("button[name=Ok]").click(function(){
		if ($(this).hasClass('disabled')) {
			return;
		}
		postFunc.call(this);
	});

	$("input[name=money], input[name=bonus]").keydown(function(e){
		if ($("button[name=Ok]").hasClass('disabled')) {
			return;
		}
		if (e.which == 13) {
			$(".modal-backdrop").hide();
			postFunc.call(this);
		}
	});

	$("select").change(function(){
		if ($(this).val() == $("option[name=other]").val()) {
			toggleBonus.call();
		}
	});

	let toggleBonus = function(){
		$("select[name=bonus]").hide();
		$("select[name=bonus]").attr("name", "disabled");
		$("input[name=disabled]").show();
		$("input[name=disabled]").attr("name", "bonus");
	}

	let postFunc = function(){
		let userId = $(this).attr('id');
		let name = $("td[id="+userId+"][name=name]").text();
		let net = $("span[name=modal-money]").text();
		let money = $("input[name=money]").val() * $("input[name=type]:checked").val();
		let bonus = $("[name=bonus]").val();
		let bonusRemaining = Number($("span[name=modal-bonus]").text());
		let dir = sessionStorage.getItem('dir');

		$("#content").load(dir+"app/view/loading.php", {dir: dir});
		$.ajax({
			type: "POST",
			url: dir+"app/ajax/topup.php",
			async: false,
			global: false,
			data: {
				userId:userId,
				name:name,
				net:net,
				money:money,
				bonusRemaining:bonusRemaining,
				bonus:bonus,
			},
			success: function(e){
				console.log(e);
				alert(e);
			}
		});

		location.reload(true);
	}
});