<?php
namespace Koob\InterfaceBundle;

interface BaccaratInterface
{
	public function rebuildBaccarat(DatabaseInterface $con);

	public function wage(DatabaseInterface $con, $text);

	public function unWage(DatabaseInterface $con, $text);

	public function unWageAll(DatabaseInterface $con);

	public function check();

	public function checkAll(DatabaseInterface $con);

	public function openGame(DatabaseInterface $con, $resetTime);

	public function openRound(DatabaseInterface $con, $locals);

	public function closeRound(DatabaseInterface $con, $locals);

	public function restRound(DatabaseInterface $con, $resetTime);

	public function closeGame(DatabaseInterface $con, $resetTime);

	public function saveResult(DatabaseInterface $con, $text);

	public function submit(DatabaseInterface $con);

	public function setup(DatabaseInterface $con, $admins, $force);
}