<?php
namespace Koob\InterfaceBundle;

interface IncomeOutcomeInterface
{
	public function rebuildTable(DatabaseInterface $con);

	public function check(DatabaseInterface $con, $date, $month, $year);

	public function checkAll(DatabaseInterface $con);

	public function insert(DatabaseInterface $con, $contents);

	public function fixContent(DatabaseInterface $con, $id, $contents);

	public function fixMoney(DatabaseInterface $con, $id, $money);

	public function setup(DatabaseInterface $con, $userId, $admin, $force);
}