<?php
namespace Koob\LobbyBundle\Controller;

use Koob\LobbyBundle\Model\FunctionModel;

class FunctionController
{
	protected $func;

	function __construct($model = null)
	{
		$model = empty($model) ? new FunctionModel : $model;
		$this->func = $model;
	}

	public function getName($game)
	{
		return $this->func->getName($game);
	}

	public function getGame($name)
	{
		return $this->func->getGame($name);
	}

	public function thisGame()
	{
		return $this->func->thisGame();
	}

	public function allGame()
	{
		return $this->func->allGame();
	}

	public function changeGame($number)
	{
		return $this->func->changeGame($number);
	}
}