<?php
namespace Koob\LocalBundle\Model;

use Koob\InterfaceBundle\LocalInterface;
use Koob\LocalBundle\Storage\LocalStorage;

class LocalModel implements LocalInterface
{
	protected $local;

	function __construct($storage = null)
	{
		$storage = empty($storage) ? new LocalStorage : $storage;
		$this->local = $storage;
	}

	public function getParameter($parameter)
	{
		return $this->local->getParameter($parameter);
	}
}