<?php
namespace Koob\LocalBundle\Storage;

use Koob\InterfaceBundle\LocalInterface;

class LocalStorage implements LocalInterface
{
	static protected $parameters;

	function __construct()
	{
		$dirname = dirname(dirname(dirname(__DIR__)));
		include $dirname.'/config/local.php';
		static::$parameters = isset($parameters) ? $parameters : static::$parameters;
	}

	public function getParameter($parameter)
	{
		return static::$parameters[$parameter];
	}
}