<?php
require_once __DIR__."/app/autoload.php";

use Koob\LocalBundle\Controller\LocalController;
use Koob\DatabaseBundle\Controller\DatabaseController;

date_default_timezone_set('Asia/Bangkok');
error_reporting(0);

$local = new LocalController;
$objCon = new DatabaseController;

$con = new mysqli(
	$local->getParameter('host'),
	$local->getParameter('user'),
	$local->getParameter('pass')
);

$objCon->setHost($local->getParameter('host'))
	->setUser($local->getParameter('user'))
	->setPass($local->getParameter('pass'))
	->setDatabase($local->getParameter('database'));

$database = $local->getParameter('database');

if (!$con->query("describe $database.login")) {
	$objCon->startQuery()
		->create([
			'name' => 'VARCHAR(255)',
			'user'    => 'VARCHAR(255) UNIQUE',
			'pass'    => 'VARCHAR(255)',
		])
		->table('login')
		->build()
		->query()
		->close();
	
	$objCon->startQuery()
		->insert([
			'name' => '"admin"',
			'user' => 'root',
			'pass' => '70efb8d166cf4936380cdd32d1d78eecd8a6265372661e01c8ab60f6a5cac114',	
		])
		->into('login')
		->build()
		->query()
		->close();
}

if (!$con->query("describe money.reportMoney")) {
	$con->startQuery()
		->create([
			'amount' => 'INT',
			'bonus'  => 'INT',
			'time'   => 'VARCHAR(255)',
			'date'   => 'VARCHAR(255)',
			'month'  => 'VARCHAR(255)',
			'year'   => 'VARCHAR(255)',
			'user'   => 'VARCHAR(255)',
			'game'   => 'VARCHAR(255)',
		])
		->table('reportMoney', 'money')
		->build()
		->query()
		->close();
}

error_reporting(E_ALL);