<?php
require_once dirname(dirname(dirname(__DIR__))).'/app/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;

$con = new DatabaseController;
$local = new LocalController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$user = $_POST['user'];
$pass = $_POST['pass'];

$results = $con->startQuery()
	->select(['id', 'name', 'pass'])
	->from('login')
	->where(['user' => $user])
	->build()
	->query()
	->fetchAssoc()[0];
$con->close();

if (empty($results)) {
	echo -1;
	exit;
}

$checker = hash('sha256', $pass.hash('sha256', $results['id']));

if ($checker == $results['pass']) {
	echo json_decode($results['name'], 1);
} else {
	echo -1;
}