<?php
require_once dirname(dirname(dirname(__DIR__))).'/app/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;

$con = new DatabaseController;
$local = new LocalController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
  ->setDatabase($local->getParameter('database'));
$game = $local->getParameter('database');

$results = $con->startQuery()
  ->select(['rm.id', 'amount', 'rm.bonus', 'time', 'date', 'month', 'year', 'l.name', 'm.name as gname'])
  ->from("reportMoney rm left join $game.login l on rm.user = l.user left join money.money m on rm.user = m.userId order by rm.id asc", 'money')
  ->build()
  ->query()
  ->fetchAssoc();
$con->close();

echo json_encode($results);