<?php
require_once dirname(dirname(dirname(__DIR__))).'/app/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;

$con = new DatabaseController;
$local = new LocalController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$id = $_POST['id'];

$results = $con->startQuery()
  ->select(['net', 'bonus'])
  ->from('money', 'money')
  ->where(['id' => $id])
  ->build()
  ->query()
  ->fetchAssoc()[0];
$con->close();

echo json_encode($results);