function logout() {
  setCookie('user', '', 0);
  setCookie('display', '', 0);
  window.location.reload();
}

function updateSidebarGame() {
  let game = $("#allGame");
  let response = '';
  let xmlhttp = new XMLHttpRequest();
  game.empty();
  xmlhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      response = JSON.parse(this.responseText);
      for (let i = 0; i < response.length; i++) {
        game.append('<li class="nav-item"><a href="#" class="nav-link"><i class="far fa-circle nav-icon"></i><p>' + response[i] + '</p></a></li>');
      }
    }
  };
  xmlhttp.open("GET", "../dist/ajax/getAllGame.php", true);
  xmlhttp.send();
}

function setCookie(cname, cvalue, exdays = 0) {
  let d = new Date();
  d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
  let expires = "expires=" + d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
  let name = cname + "=";
  let decodedCookie = decodeURIComponent(document.cookie);
  let ca = decodedCookie.split(';');
  for (let i = 0; i < ca.length; i++) {
    let c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}

if (getCookie('user') == 'root') {
  $("[name='adminOnly']").show();
}