function updateReport() {
  let table = $("#reportBody");
  let response = '';
  let plus = 0;
  let minus = 0;
  let all = 0;
  let xmlhttp = new XMLHttpRequest();
  table.empty();
  xmlhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      response = JSON.parse(this.responseText);
      $.each(response['results'], function (key, value) {
        value['amount'] = parseInt(value['amount']);
        if (value['amount'] > 0) {
          plus += value['amount'];
        } else {
          minus += value['amount'];
        }
        all += value['amount'];
      });
      table.append("<tr><td>" + plus + "</td>" +
        "<td>" + minus + "</td>" +
        "<td>" + all + "</td>" +
        "<td>" + response['allCredits']['net'] + "</td>" +
        "<td>" + (all-parseInt(response['allCredits']['net'])) + "</td>" +
        "<td>" + response['allCredits']['bonus'] + "</td></tr>");
    }
  };
  xmlhttp.open("GET", "../dist/ajax/getReportMoney.php", true);
  xmlhttp.send();
}

function updateGame() {
  let table = $("#gameBody");
  let response = '';
  let xmlhttp = new XMLHttpRequest();
  table.empty();
  xmlhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      response = JSON.parse(this.responseText);
      $("#gameHeader").text(response['game']);
      table.append("<><td>" + response['lastests']['bigLap'] + "</td>" +
        "<td>" + parseInt(response['lastests']['income']) + "</td>" +
        "<td>" + parseInt(response['lastests']['outcome']) + "</td>" +
        "<td>" + (parseInt(response['lastests']['income']) - parseInt(response['lastests']['outcome'])) + "</td>" +
        "<td>" + parseInt(response['results']['income']) + "</td>" +
        "<td>" + parseInt(response['results']['outcome']) + "</td>"+
        "<td>" + (parseInt(response['results']['income']) - parseInt(response['results']['outcome'])) + "</td></tr>");
    }
  };
  xmlhttp.open("GET", "../dist/ajax/getEachGameReport.php", true);
  xmlhttp.send();
}