<?php
require_once dirname(__DIR__).'/autoload.php';

use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;
use Koob\ViewBundle\Controller\FunctionController;

$con = new DatabaseController;
$local = new LocalController;
$func = new FunctionController;

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$resultRows = $func->setupReport($con, 'poke');
$resultRow = json_encode($resultRows);
print_r($resultRow);