<?php
require_once dirname(__DIR__).'/autoload.php';

use Koob\LineApiBundle\Controller\LineApiController;
use Koob\DatabaseBundle\Controller\DatabaseController;
use Koob\LocalBundle\Controller\LocalController;
use Koob\ViewBundle\Controller\FunctionController;

$api = new LineApiController;
$con = new DatabaseController;
$local = new LocalController;
$func = new FunctionController;

$api->setAccessToken($local->getParameter('accessToken'))
	->setMethod('push');

$con->setHost($local->getParameter('host'))
	->setPass($local->getParameter('pass'))
	->setUser($local->getParameter('user'))
	->setDatabase($local->getParameter('database'));

$tags = $local->getParameter('tags');

$posts = $_POST;

if (is_numeric($posts['money'])) {
	$userId = $posts['userId'];
	$money = $posts['money'];
	$bonus = (int) stripos($posts['bonus'], "%") ? substr($posts['bonus'], 0, -1) : $posts['bonus'];
	$name = $posts['name'];
	if ($money < 0) {
		$prefix = 'ลด';
	} else {
		$prefix = 'เพิ่ม';
		$sign = '+';
	}
	$playRoom = $local->getParameter('playRoom');
	$texts = $func->changeMoney($con, $userId, $money, $bonus, $tags);
	if ($texts != -4444) {
		$sendText = "{$prefix}เครดิต ".$name.' '.$sign.$texts['changeNet'].$texts['bonusText'].' = 💰'.$texts['remaining'].$texts['bonusRemainingText'];
		echo "ทำรายการสำเร็จ";
	} else {
		$sendText = "มีข้อผิดพลาด ยังไม่เปิดเกม";
		echo $sendText;
	}
	$api->startApi()
		->setDestination($playRoom)
		->setMessage($sendText)
		->send()
		->close();
}