<?php
namespace Koob\InterfaceBundle;

interface DatabaseInterface
{
	public function setHost($host);

	public function getHost();

	public function setUser($user);

	public function getUser();

	public function setPass($pass);

	public function getPass();

	public function setDatabase($database);

	public function getDatabase();

	public function startQuery();

	public function create($creates);

	public function select($selects);

	public function update($updates);

	public function insert($inserts);

	public function drop();

	public function delete();

	public function from($table, $database);

	public function set($table, $database);

	public function into($table, $database);

	public function database($database);

	public function table($table, $databese);

	public function where($where);

	public function and($and);

	public function or($or);

	public function like($like);

	public function build();

	public function query(bool $isReturnBool);

	public function fetchAssoc(bool $isOne);

	public function close();
}