<?php
namespace Koob\InterfaceBundle;

interface LineApiInterface
{
	public function startApi();

	public function setAccessToken($access_token);

	public function setDestination($destination);

	public function setIgnore($ignores);

	public function setMessage($messages, $isRaw);

	public function setUrl($url);

	public function setType($type);

	public function setOption($optionName, $option);

	public function setRoomId($roomId);

	public function setGroupId($groupId);

	public function setMethod($method);

	public function send();

	public function get($lineId);

	public function sendNotify($token, $message, $count = 0);

	public function close();
}