<?php
namespace Koob\LobbyBundle\Controller;

use Koob\InterfaceBundle\LobbyInterface;
use Koob\LobbyBundle\Model\LobbyModel;

class LobbyController implements LobbyInterface
{
	protected $lobby;

	function __construct($model = null)
	{
		$model = empty($model) ? new LobbyModel : $model;
		$this->lobby = $model;
	}

	public function run($content)
	{
		$contents = json_decode($content, 1);
		return $this->lobby->run($contents);
	}
}