<?php
namespace Koob\LocalBundle\Controller;

use Koob\InterfaceBundle\LocalDatabaseInterface;
use Koob\LocalBundle\Model\LocalDatabaseModel;

class LocalDatabaseController implements LocalDatabaseInterface
{
	protected $local;

	function __construct($model = null, $storage = null)
	{
		$model = empty($model) ? new LocalDatabaseModel($storage) : $model;
		$this->local = $model;
	}

	public function getParameter($parameter)
	{
		return $this->local->getParameter($parameter);
	}

	public function setParameter($parameter, $value)
	{
		return $this->local->setParameter($parameter, $value);
	}

	public function unsetParameter($parameter)
	{
		return $this->local->unsetParameter($parameter);
	}
}