<?php
namespace Koob\LocalBundle\Model;

use Koob\InterfaceBundle\LocalDatabaseInterface;
use Koob\LocalBundle\Storage\LocalDatabaseStorage;

class LocalDatabaseModel implements LocalDatabaseInterface
{
	protected $local;

	function __construct($storage = null)
	{
		$storage = empty($storage) ? new LocalDatabaseStorage : $storage;
		$this->local = $storage;
	}

	public function getParameter($parameter)
	{
		return $this->local->getParameter($parameter);
	}

	public function setParameter($parameter, $value)
	{
		return $this->local->setParameter($parameter, $value);
	}

	public function unsetParameter($parameter)
	{
		return $this->local->unsetParameter($parameter);
	}
}