<?php
namespace Koob\MoneyBundle\Controller;

use Koob\InterfaceBundle\DatabaseInterface;
use Koob\GameBundle\Controller\GameController;
use Koob\MoneyBundle\Model\FunctionModel;

class FunctionController extends GameController
{
	protected $func;

	function __construct($model = null)
	{
		$model = empty($model) ? new FunctionModel : $model;
		$this->func = $model;
		$this->game = $model;
	}

	public function fixMoney(DatabaseInterface $con, $text)
	{
		return $this->func->fixMoney($con, $text);
	}

	public function setup(DatabaseInterface $con, $userId, $admins, $force = false)
	{
		return $this->func->setup($con, $userId, $admins, $force);
	}
}