<?php
namespace Koob\ViewBundle\Controller;

use Koob\InterfaceBundle\ViewInterface;
use Koob\InterfaceBundle\DatabaseInterface;
use Koob\ViewBundle\Model\FunctionModel;

class FunctionController implements ViewInterface
{
	protected $func;

	function __construct($model = null)
	{
		$model = empty($model) ? new FunctionModel : $model;
		$this->func = $model;
	}

	public function setupTable(DatabaseInterface $con, $resetTime, $game)
	{
		return $this->func->setupTable($con, $resetTime, $game);
	}

	public function setupReport(DatabaseInterface $con, $table)
	{
		return $this->func->setupReport($con, $table);
	}

	public function search($search)
	{
		return $this->func->search($search);
	}

	public function changeMoney(DatabaseInterface $con, $userId, $topup, $bonus, $tags)
	{
		return $this->func->changeMoney($con, $userId, $topup, $bonus, $tags);
	}

	public function eachMoney(DatabaseInterface $con, $userId)
	{
		return $this->func->eachMoney($con, $userId);
	}

	public function getAllJs($dir)
	{
		return $this->func->getAllJs($dir);
	}
}